package cn.teammodel.service;

import cn.teammodel.common.IdRequest;
import cn.teammodel.model.dto.news.CreateNewsDto;
import cn.teammodel.model.dto.news.UpdateNewsDto;
import cn.teammodel.model.entity.news.News;

import java.util.List;

/**
 * @author winter
 * @create 2024-02-26 17:10
 */
public interface NewsService {

    List<News> listNews(String periodId);

    News createNews(CreateNewsDto createNewsDto);

    News updateNews(UpdateNewsDto updateNewsDto);

    void deleteNews(IdRequest idRequest);

    News getNewsById(String newsId);
}
